Package org.apache.sling.feature.cpconverter.artifacts

## Class MavenPomSupplierWriter

- java.lang.Object
- - org.apache.sling.feature.cpconverter.artifacts.MavenPomSupplierWriter

    public final class MavenPomSupplierWriter
    extends Object

### Constructor Summary

Constructors
`MavenPomSupplierWriter​(@NotNull org.apache.sling.feature.ArtifactId id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write​(@NotNull FileWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenPomSupplierWriter

    public MavenPomSupplierWriter​(@NotNull
                                  @NotNull org.apache.sling.feature.ArtifactId id)

### Method Detail

#### write

    public void write​(@NotNull
                      @NotNull FileWriter writer)
               throws IOException

Throws:
  `IOException`